Bug 122635 - Change most call sites to call ICU directly instead of through WTF::Unicode
Summary: Change most call sites to call ICU directly instead of through WTF::Unicode
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Template Framework (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Darin Adler
URL:
Keywords:
Depends on:
Blocks: 123668
  Show dependency treegraph
 
Reported: 2013-10-10 20:16 PDT by Darin Adler
Modified: 2013-11-02 10:36 PDT (History)
3 users (show)

See Also:


Attachments
Patch (133.87 KB, patch)
2013-10-10 22:24 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (134.24 KB, patch)
2013-10-10 23:09 PDT, Darin Adler
ap: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Patch (137.83 KB, patch)
2013-10-11 19:23 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (137.82 KB, patch)
2013-10-11 19:33 PDT, Darin Adler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2013-10-10 20:16:38 PDT
Change most call sites to call ICU directly instead of through WTF::Unicode
Comment 1 Darin Adler 2013-10-10 22:24:06 PDT
Created attachment 213966 [details]
Patch
Comment 2 WebKit Commit Bot 2013-10-10 22:25:46 PDT
Attachment 213966 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/parser/Lexer.cpp', u'Source/JavaScriptCore/parser/Lexer.h', u'Source/JavaScriptCore/runtime/JSFunction.cpp', u'Source/JavaScriptCore/runtime/JSGlobalObjectFunctions.cpp', u'Source/JavaScriptCore/yarr/YarrInterpreter.cpp', u'Source/WTF/ChangeLog', u'Source/WTF/wtf/text/StringHash.h', u'Source/WTF/wtf/text/StringImpl.cpp', u'Source/WTF/wtf/text/StringImpl.h', u'Source/WTF/wtf/text/WTFString.h', u'Source/WTF/wtf/unicode/icu/UnicodeIcu.h', u'Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp', u'Source/WTF/wtf/unicode/wchar/UnicodeWchar.h', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/indexeddb/IDBKeyPath.cpp', u'Source/WebCore/css/CSSParser.cpp', u'Source/WebCore/dom/Document.cpp', u'Source/WebCore/editing/Editor.cpp', u'Source/WebCore/editing/TextIterator.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLSelectElement.cpp', u'Source/WebCore/html/TypeAhead.cpp', u'Source/WebCore/html/track/TextTrackCue.cpp', u'Source/WebCore/page/ContextMenuController.cpp', u'Source/WebCore/platform/graphics/Font.cpp', u'Source/WebCore/platform/graphics/FontGlyphs.cpp', u'Source/WebCore/platform/graphics/GraphicsContext.cpp', u'Source/WebCore/platform/graphics/SVGGlyph.cpp', u'Source/WebCore/platform/graphics/SurrogatePairAwareTextIterator.cpp', u'Source/WebCore/platform/graphics/WidthIterator.cpp', u'Source/WebCore/platform/graphics/mac/ComplexTextController.cpp', u'Source/WebCore/platform/text/BidiContext.cpp', u'Source/WebCore/platform/text/BidiContext.h', u'Source/WebCore/platform/text/BidiResolver.h', u'Source/WebCore/platform/text/SegmentedString.h', u'Source/WebCore/platform/text/TextBoundaries.cpp', u'Source/WebCore/platform/text/TextBoundaries.h', u'Source/WebCore/platform/text/mac/TextBoundaries.mm', u'Source/WebCore/rendering/BidiRun.h', u'Source/WebCore/rendering/InlineFlowBox.h', u'Source/WebCore/rendering/InlineIterator.h', u'Source/WebCore/rendering/RenderBlock.cpp', u'Source/WebCore/rendering/RenderBlockLineLayout.cpp', u'Source/WebCore/rendering/RenderListMarker.cpp', u'Source/WebCore/rendering/RenderMenuList.cpp', u'Source/WebCore/rendering/RenderText.cpp', u'Source/WebCore/rendering/RootInlineBox.cpp', u'Source/WebCore/svg/SVGFontData.cpp', u'Source/WebCore/xml/XPathParser.cpp']" exit_code: 1
Source/WebCore/platform/text/TextBoundaries.h:33:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebCore/platform/text/TextBoundaries.h:38:  WK_U_LB_CONDITIONAL_JAPANESE_STARTER is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:36:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:39:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:40:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:41:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:45:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:46:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:47:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:48:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:49:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:50:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:51:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:52:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:53:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:54:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:55:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:56:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:57:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:58:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:59:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:60:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:61:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:62:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:63:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:68:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:70:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:72:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:74:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:76:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:113:  ublock_getCode is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:114:  The parameter name "mode" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:118:  More than one command on the same line  [whitespace/newline] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:118:  u_foldCase is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:121:  u_isalnum is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:122:  u_ispunct is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:124:  u_print is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:128:  u_tolower is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:129:  u_totitle is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:130:  u_toupper is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WebCore/platform/text/BidiResolver.h:573:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebCore/platform/text/BidiResolver.h:604:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:662:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:703:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:766:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:843:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:30:  unorm_normalize is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:35:  u_charDirection is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:40:  u_charMirror is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:46:  u_charType is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:52:  u_getCombiningClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:58:  u_getIntPropertyValue is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:73:  u_memcasecmp is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:100:  u_strFoldCase is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:106:  u_strToLower is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:111:  u_strToUpper is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WebCore/platform/graphics/mac/ComplexTextController.cpp:330:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Total errors found: 57 in 48 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Darin Adler 2013-10-10 23:09:58 PDT
Created attachment 213968 [details]
Patch
Comment 4 Darin Adler 2013-10-10 23:10:44 PDT
Original patch had a small bug where I forgot to reinitialize status to U_ZERO_ERROR in one code path.
Comment 5 WebKit Commit Bot 2013-10-10 23:11:35 PDT
Attachment 213968 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/parser/Lexer.cpp', u'Source/JavaScriptCore/parser/Lexer.h', u'Source/JavaScriptCore/runtime/JSFunction.cpp', u'Source/JavaScriptCore/runtime/JSGlobalObjectFunctions.cpp', u'Source/JavaScriptCore/yarr/YarrInterpreter.cpp', u'Source/WTF/ChangeLog', u'Source/WTF/wtf/text/StringHash.h', u'Source/WTF/wtf/text/StringImpl.cpp', u'Source/WTF/wtf/text/StringImpl.h', u'Source/WTF/wtf/text/WTFString.h', u'Source/WTF/wtf/unicode/icu/UnicodeIcu.h', u'Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp', u'Source/WTF/wtf/unicode/wchar/UnicodeWchar.h', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/indexeddb/IDBKeyPath.cpp', u'Source/WebCore/css/CSSParser.cpp', u'Source/WebCore/dom/Document.cpp', u'Source/WebCore/editing/Editor.cpp', u'Source/WebCore/editing/TextIterator.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLSelectElement.cpp', u'Source/WebCore/html/TypeAhead.cpp', u'Source/WebCore/html/track/TextTrackCue.cpp', u'Source/WebCore/page/ContextMenuController.cpp', u'Source/WebCore/platform/graphics/Font.cpp', u'Source/WebCore/platform/graphics/FontGlyphs.cpp', u'Source/WebCore/platform/graphics/GraphicsContext.cpp', u'Source/WebCore/platform/graphics/SVGGlyph.cpp', u'Source/WebCore/platform/graphics/SurrogatePairAwareTextIterator.cpp', u'Source/WebCore/platform/graphics/WidthIterator.cpp', u'Source/WebCore/platform/graphics/mac/ComplexTextController.cpp', u'Source/WebCore/platform/text/BidiContext.cpp', u'Source/WebCore/platform/text/BidiContext.h', u'Source/WebCore/platform/text/BidiResolver.h', u'Source/WebCore/platform/text/SegmentedString.h', u'Source/WebCore/platform/text/TextBoundaries.cpp', u'Source/WebCore/platform/text/TextBoundaries.h', u'Source/WebCore/platform/text/mac/TextBoundaries.mm', u'Source/WebCore/rendering/BidiRun.h', u'Source/WebCore/rendering/InlineFlowBox.h', u'Source/WebCore/rendering/InlineIterator.h', u'Source/WebCore/rendering/RenderBlock.cpp', u'Source/WebCore/rendering/RenderBlockLineLayout.cpp', u'Source/WebCore/rendering/RenderListMarker.cpp', u'Source/WebCore/rendering/RenderMenuList.cpp', u'Source/WebCore/rendering/RenderText.cpp', u'Source/WebCore/rendering/RootInlineBox.cpp', u'Source/WebCore/svg/SVGFontData.cpp', u'Source/WebCore/xml/XPathParser.cpp']" exit_code: 1
Source/WebCore/platform/text/TextBoundaries.h:33:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebCore/platform/text/TextBoundaries.h:38:  WK_U_LB_CONDITIONAL_JAPANESE_STARTER is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:36:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:39:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:40:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:41:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:45:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:46:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:47:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:48:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:49:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:50:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:51:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:52:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:53:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:54:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:55:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:56:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:57:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:58:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:59:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:60:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:61:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:62:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:63:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:68:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:70:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:72:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:74:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:76:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:113:  ublock_getCode is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:114:  The parameter name "mode" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:118:  More than one command on the same line  [whitespace/newline] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:118:  u_foldCase is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:121:  u_isalnum is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:122:  u_ispunct is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:124:  u_print is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:128:  u_tolower is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:129:  u_totitle is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:130:  u_toupper is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WebCore/platform/text/BidiResolver.h:573:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebCore/platform/text/BidiResolver.h:604:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:662:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:703:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:766:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:843:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:30:  unorm_normalize is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:35:  u_charDirection is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:40:  u_charMirror is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:46:  u_charType is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:52:  u_getCombiningClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:58:  u_getIntPropertyValue is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:73:  u_memcasecmp is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:100:  u_strFoldCase is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:106:  u_strToLower is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:111:  u_strToUpper is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WebCore/platform/graphics/mac/ComplexTextController.cpp:330:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Total errors found: 57 in 48 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Build Bot 2013-10-10 23:56:19 PDT
Comment on attachment 213968 [details]
Patch

Attachment 213968 [details] did not pass win-ews (win):
Output: http://webkit-queues.appspot.com/results/3947022
Comment 7 Patrick R. Gansterer 2013-10-11 01:59:13 PDT
Do you want to keep the dummy ICU in UnicodeWchar? What do you think about implementing them in ThirdParty/DummyICU/unicode/(uchar|uscript|...).h, so we have only one Unicode.h in WTF? But this can be done in a follow up patch, since it requires a little more work.
Comment 8 Darin Adler 2013-10-11 07:14:09 PDT
(In reply to comment #7)
> Do you want to keep the dummy ICU in UnicodeWchar?

No.

> What do you think about implementing them in ThirdParty/DummyICU/unicode/(uchar|uscript|...).h, so we have only one Unicode.h in WTF? But this can be done in a follow up patch, since it requires a little more work.

Exactly right. I think I even said as much in the ChangeLog.
Comment 9 Alexey Proskuryakov 2013-10-11 10:31:52 PDT
Comment on attachment 213968 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=213968&action=review

Looking at the patch, I now have concerns about readability of the code that uses ICU directly. Some of their names are not exactly great.

r=me

> Source/WebCore/xml/XPathParser.cpp:77
> +    if (characterTypeMask & (U_GC_M_MASK | U_GC_LM_MASK | U_GC_ND_MASK))

:-/
Comment 10 Darin Adler 2013-10-11 19:23:33 PDT
Created attachment 214042 [details]
Patch
Comment 11 Darin Adler 2013-10-11 19:33:23 PDT
Created attachment 214044 [details]
Patch
Comment 12 WebKit Commit Bot 2013-10-11 19:34:15 PDT
Attachment 214044 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/parser/Lexer.cpp', u'Source/JavaScriptCore/parser/Lexer.h', u'Source/JavaScriptCore/runtime/JSFunction.cpp', u'Source/JavaScriptCore/runtime/JSGlobalObjectFunctions.cpp', u'Source/JavaScriptCore/yarr/YarrInterpreter.cpp', u'Source/WTF/ChangeLog', u'Source/WTF/wtf/text/StringHash.h', u'Source/WTF/wtf/text/StringImpl.cpp', u'Source/WTF/wtf/text/StringImpl.h', u'Source/WTF/wtf/text/WTFString.h', u'Source/WTF/wtf/unicode/icu/UnicodeIcu.h', u'Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp', u'Source/WTF/wtf/unicode/wchar/UnicodeWchar.h', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/indexeddb/IDBKeyPath.cpp', u'Source/WebCore/css/CSSParser.cpp', u'Source/WebCore/dom/Document.cpp', u'Source/WebCore/editing/Editor.cpp', u'Source/WebCore/editing/TextIterator.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLSelectElement.cpp', u'Source/WebCore/html/TypeAhead.cpp', u'Source/WebCore/html/track/TextTrackCue.cpp', u'Source/WebCore/page/ContextMenuController.cpp', u'Source/WebCore/platform/graphics/Font.cpp', u'Source/WebCore/platform/graphics/FontGlyphs.cpp', u'Source/WebCore/platform/graphics/GraphicsContext.cpp', u'Source/WebCore/platform/graphics/SVGGlyph.cpp', u'Source/WebCore/platform/graphics/SurrogatePairAwareTextIterator.cpp', u'Source/WebCore/platform/graphics/WidthIterator.cpp', u'Source/WebCore/platform/graphics/mac/ComplexTextController.cpp', u'Source/WebCore/platform/graphics/win/UniscribeController.cpp', u'Source/WebCore/platform/text/BidiContext.cpp', u'Source/WebCore/platform/text/BidiContext.h', u'Source/WebCore/platform/text/BidiResolver.h', u'Source/WebCore/platform/text/SegmentedString.h', u'Source/WebCore/platform/text/TextBoundaries.cpp', u'Source/WebCore/platform/text/TextBoundaries.h', u'Source/WebCore/platform/text/mac/TextBoundaries.mm', u'Source/WebCore/platform/win/PopupMenuWin.cpp', u'Source/WebCore/platform/win/WebCoreTextRenderer.cpp', u'Source/WebCore/rendering/BidiRun.h', u'Source/WebCore/rendering/InlineFlowBox.h', u'Source/WebCore/rendering/InlineIterator.h', u'Source/WebCore/rendering/RenderBlock.cpp', u'Source/WebCore/rendering/RenderBlockLineLayout.cpp', u'Source/WebCore/rendering/RenderListMarker.cpp', u'Source/WebCore/rendering/RenderMenuList.cpp', u'Source/WebCore/rendering/RenderText.cpp', u'Source/WebCore/rendering/RootInlineBox.cpp', u'Source/WebCore/svg/SVGFontData.cpp', u'Source/WebCore/xml/XPathParser.cpp']" exit_code: 1
Source/WebCore/platform/text/TextBoundaries.h:33:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebCore/platform/text/TextBoundaries.h:38:  WK_U_LB_CONDITIONAL_JAPANESE_STARTER is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:36:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:39:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:40:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:41:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:45:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:46:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:47:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:48:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:49:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:50:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:51:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:52:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:53:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:54:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:55:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:56:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:57:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:58:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:59:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:60:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:61:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:62:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:63:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:68:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:70:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:72:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:74:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:76:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:113:  ublock_getCode is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:114:  The parameter name "mode" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:118:  More than one command on the same line  [whitespace/newline] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:118:  u_foldCase is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:121:  u_isalnum is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:122:  u_ispunct is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:124:  u_print is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:128:  u_tolower is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:129:  u_totitle is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.h:130:  u_toupper is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WebCore/platform/text/BidiResolver.h:573:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebCore/platform/text/BidiResolver.h:604:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:662:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:703:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:766:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/platform/text/BidiResolver.h:843:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:30:  unorm_normalize is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:35:  u_charDirection is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:40:  u_charMirror is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:46:  u_charType is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:52:  u_getCombiningClass is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:58:  u_getIntPropertyValue is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:73:  u_memcasecmp is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:100:  u_strFoldCase is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:106:  u_strToLower is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/unicode/wchar/UnicodeWchar.cpp:111:  u_strToUpper is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WebCore/platform/graphics/mac/ComplexTextController.cpp:330:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Total errors found: 57 in 51 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 Darin Adler 2013-10-11 21:15:09 PDT
Committed r157330: <http://trac.webkit.org/changeset/157330>